## EvDocumentThumbnails

EvDocumentThumbnails

## Functions

#define | EV_DOCUMENT_THUMBNAILS_IFACE ()
#define | EV_IS_DOCUMENT_THUMBNAILS_IFACE ()
GdkPixbuf * | ev_document_thumbnails_get_thumbnail ()
void | ev_document_thumbnails_get_dimensions ()

## Types and Values

| EvDocumentThumbnails

## Object Hierarchy

        GInterface
        ╰── EvDocumentThumbnails

## Description

## Functions

### EV_DOCUMENT_THUMBNAILS_IFACE()

    #define EV_DOCUMENT_THUMBNAILS_IFACE(k)        (G_TYPE_CHECK_CLASS_CAST((k), EV_TYPE_DOCUMENT_THUMBNAILS, EvDocumentThumbnailsInterface))

### EV_IS_DOCUMENT_THUMBNAILS_IFACE()

    #define EV_IS_DOCUMENT_THUMBNAILS_IFACE(k)     (G_TYPE_CHECK_CLASS_TYPE ((k), EV_TYPE_DOCUMENT_THUMBNAILS))

### ev_document_thumbnails_get_thumbnail ()

    GdkPixbuf *
    ev_document_thumbnails_get_thumbnail (EvDocumentThumbnails *document,
                                          EvRenderContext *rc,
                                          gboolean border);

### ev_document_thumbnails_get_dimensions ()

    void
    ev_document_thumbnails_get_dimensions (EvDocumentThumbnails *document,
                                           EvRenderContext *rc,
                                           gint *width,
                                           gint *height);

## Types and Values

### EvDocumentThumbnails

    typedef struct _EvDocumentThumbnails EvDocumentThumbnails;